package com.lynx.tasm.behavior.ui.text;

import X.QNZ;
import com.bytedance.covode.number.Covode;
import com.lynx.tasm.behavior.ui.LynxBaseUI;
import com.lynx.tasm.behavior.ui.UIGroup$$PropsSetter;

public class UIText$$PropsSetter extends UIGroup$$PropsSetter {
    static {
        Covode.recordClassIndex(46780);
    }

    public void setProperty(LynxBaseUI lynxBaseUI, String str, QNZ qnz) {
        str.hashCode();
        if (!str.equals("accessibility-label")) {
            super.setProperty(lynxBaseUI, str, qnz);
        } else {
            lynxBaseUI.setAccessibilityLabel(qnz.LJFF(str));
        }
    }
}
